Bug 1600268 (CVE-2018-5873) - CVE-2018-5873 kernel: use-after-free in __ns_get_path()
Summary: CVE-2018-5873 kernel: use-after-free in __ns_get_path()
Status: CLOSED NOTABUG
Alias: CVE-2018-5873
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170419,repor...
Keywords: Security
Depends On:
Blocks: 1600269
TreeView+ depends on / blocked
 
Reported: 2018-07-11 21:18 UTC by Laura Pardo
Modified: 2018-08-24 12:20 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An issue was discovered in the __ns_get_path function in fs/nsfs.c in the Linux kernel before 4.11. Due to a race condition when accessing files, a Use After Free condition can occur. A local attacker may be able to leverage this fault to escalate privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-08-24 12:20:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Laura Pardo 2018-07-11 21:18:15 UTC
An issue was discovered in the __ns_get_path function in fs/nsfs.c in the Linux kernel before 4.11. Due to a race condition when accessing files, a Use After Free condition can occur.  A local attacker may be able to leverage this fault to escalate privileges on the system.


References:
https://github.com/torvalds/linux/commit/073c516ff73557a8f7315066856c04b50383ac34
https://source.android.com/security/bulletin/2018-07-01
https://www.codeaurora.org/security-bulletin/2018/07/02/july-2018-code-aurora-security-bulletin


Note You need to log in before you can comment on or make changes to this bug.